Subject: Re: bug#28340: 26.0.50; xterm frame titles

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Sep 2017 10:47:26 +0300

> Date: Mon, 11 Sep 2017 21:21:22 -0400
> From: Mark Oteiza <[email-masked]>
> Cc: [email-masked]
> 
> > Maybe one of the hooks provided by server.el would fit the bill?
> 
> Nope, none of those appear relevant, and hooking into them does nothing
> apparent.  Even doing the following, I get the title as the selected
> buffer in the previously selected frame.
> 
> Messaging (frame-list) in xterm-test shows that the car of the list is
> always the new frame, but still the frame title is incorrect--a new
> frame created by emacsclient -t ends up on the scratch buffer.  I say
> "ends up" because sometimes I see another buffer flash before I see the
> scratch buffer.  This all seems a little buggy to me, but I know
> Bug#18137 and its ancestors were tough.

What about window-configuration-change-hook, does that help?  You
could set some flag in after-make-frame-functions, and then test and
reset that flag in window-configuration-change-hook, when you see that
a buffer is switched in the frame.  Would that work?